> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a transaction intent

> Updates the details of the transaction intent associated with the supplied intent_id



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/transaction_intents/{intent_id}
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/transaction_intents/{intent_id}:
    post:
      tags:
        - Transaction Intents
      summary: Update a transaction intent
      description: >-
        Updates the details of the transaction intent associated with the
        supplied intent_id
      operationId: updateTransactionIntent
      parameters:
        - name: intent_id
          in: path
          required: true
          description: The unique identifier for the transaction intent
          schema:
            type: string
            example: 3E4F0CCD-ACBF-42F3-A459-6DF92AF632D1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - customer_id
                - amount
                - status
                - created_at
              properties:
                customer_id:
                  type: string
                  example: D8CD2346-9A02-4ABB-A388-AB3DACC57DCF
                amount:
                  type: integer
                  example: 100
                status:
                  $ref: '#/components/schemas/TransactionIntentStatus'
                currency:
                  $ref: '#/components/schemas/TransactionCurrency'
                network_transaction_id:
                  type: string
                  description: >-
                    The network's unique identifier for the transaction.
                    Examples include Visa Transaction ID, Mastercard Trace ID,
                    and American Express Network Reference ID
                partner_transaction_id:
                  type: string
                  description: The partner's unique transaction id
                metadata:
                  type: object
                  description: Additional transaction intent data
                  additionalProperties: true
                  example:
                    platform_version: 2.1.0
      responses:
        '200':
          description: Transaction intent updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionIntent'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestError'
components:
  schemas:
    TransactionIntentStatus:
      type: string
      enum:
        - CONFIRMED
        - CANCELED
      example: CONFIRMED
    TransactionCurrency:
      type: string
      description: >-
        The 3-character currency code of the amount in ISO 4217 format (e.g.,
        "USD")
      example: USD
    TransactionIntent:
      type: object
      required:
        - id
        - customer_id
        - amount
        - currency
        - status
        - created_at
      properties:
        id:
          type: string
          example: 5B30532B-5B5B-4826-8DE2-429C57B705FD
        customer_id:
          type: string
          example: 9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4
        payment_method_id:
          type: string
          description: >-
            The `payment_method_id` that this `transaction_intent` was executed
            with.
          example: DCBFC736-2286-42DD-897D-160DCA80AED2
        amount:
          type: integer
          description: Currency amount
          example: 10000
        currency:
          $ref: '#/components/schemas/TransactionCurrency'
        status:
          $ref: '#/components/schemas/TransactionIntentStatus'
        network_transaction_id:
          type: string
          description: >-
            The network's unique identifier for the transaction. Examples
            include Visa Transaction ID, Mastercard Trace ID, and American
            Express Network Reference ID
        partner_transaction_id:
          type: string
          description: The partner's unique transaction id
        created_at:
          type: string
          description: the RFC-3339 timestamp when the transaction intent was created
          example: '2025-02-13T19:08:07.000Z'
        updated_at:
          type: string
          description: the RFC-3339 timestamp when the transaction intent was last updated
          example: '2025-02-13T19:08:07.000Z'
        metadata:
          type: object
          description: Additional transaction intent data
          additionalProperties: true
          example:
            platform_version: 2.1.0
    InvalidRequestError:
      type: object
      properties:
        path:
          type: string
          description: The path of the endpoint returning the error
          example: /v2/customers
        details:
          type: array
          items:
            type: string
          description: The details of the error being returned
          example:
            - 'email: must be a well-formed email address'
        error:
          type: string
          description: The category of error being returned
          example: Bad Request
        status:
          type: integer
          description: The HTTP status code of the error
          example: 400
        timestamp:
          type: string
          description: The timestamp that the error occurred
          example: '2025-01-20T18:18:22.923+00:00'
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````